fair::mq::ofi::TransportFactory Class Referencefinal

FairMQ transport factory for the ofi transport (implemented with ZeroMQ + libfabric) More...

`#include <fairmq/ofi/TransportFactory.h>`

Inheritance diagram for fair::mq::ofi::TransportFactory:
[legend]
Collaboration diagram for fair::mq::ofi::TransportFactory:
[legend]

## Public Member Functions

| TransportFactory (const std::string &id="", const FairMQProgOptions *config=nullptr)
| TransportFactory (const TransportFactory &)=delete
TransportFactory | operator= (const TransportFactory &)=delete
auto | CreateMessage () const -> MessagePtr override
auto | CreateMessage (const std::size_t size) const -> MessagePtr override
auto | CreateMessage (void *data, const std::size_t size, fairmq_free_fn *ffn, void *hint=nullptr) const -> MessagePtr override
auto | CreateMessage (UnmanagedRegionPtr &region, void *data, const std::size_t size, void *hint=nullptr) const -> MessagePtr override
auto | CreateSocket (const std::string &type, const std::string &name) -> SocketPtr override
| Create a socket.
auto | CreatePoller (const std::vector< FairMQChannel > &channels) const -> PollerPtr override
| Create a poller for a single channel (all subchannels)
auto | CreatePoller (const std::vector< const FairMQChannel *> &channels) const -> PollerPtr override
auto | CreatePoller (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList) const -> PollerPtr override
| Create a poller for specific channels (all subchannels)
auto | CreateUnmanagedRegion (const size_t size, FairMQRegionCallback callback=nullptr) const -> UnmanagedRegionPtr override
auto | GetType () const -> Transport override
| Get transport type.
void | Interrupt () override
void | Resume () override
void | Reset () override
Public Member Functions inherited from FairMQTransportFactory
| FairMQTransportFactory (const std::string &id)
auto | GetId () const -> const std::string
fair::mq::ChannelResource * | GetMemoryResource ()
| Get a pointer to the associated polymorphic memory resource.
| operator fair::mq::ChannelResource * ()
virtual FairMQMessagePtr | CreateMessage ()=0
| Create empty FairMQMessage. More...
virtual FairMQMessagePtr | CreateMessage (const size_t size)=0
| Create new FairMQMessage of specified size. More...
virtual FairMQMessagePtr | CreateMessage (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr)=0
| Create new FairMQMessage with user provided buffer and size. More...
virtual FairMQMessagePtr | CreateMessage (FairMQUnmanagedRegionPtr &unmanagedRegion, void *data, const size_t size, void *hint=0)=0
virtual FairMQPollerPtr | CreatePoller (const std::vector< FairMQChannel *> &channels) const =0
| Create a poller for specific channels.
template<typename T >
FairMQMessagePtr | NewSimpleMessage (const T &data)
template<std::size_t N>
FairMQMessagePtr | NewSimpleMessage (const char(&data)[N])
FairMQMessagePtr | NewSimpleMessage (const std::string &str)
template<typename T >
FairMQMessagePtr | NewStaticMessage (const T &data)
FairMQMessagePtr | NewStaticMessage (const std::string &str)

## Additional Inherited Members

Static Public Member Functions inherited from FairMQTransportFactory
static auto | CreateTransportFactory (const std::string &type, const std::string &id="", const FairMQProgOptions *config=nullptr) -> std::shared_ptr< FairMQTransportFactory >
static void | FairMQNoCleanup (void *, void *)
template<typename T >
static void | FairMQSimpleMsgCleanup (void *, void *obj)

## Detailed Description

FairMQ transport factory for the ofi transport (implemented with ZeroMQ + libfabric)

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/TransportFactory.h
- fairmq/ofi/TransportFactory.cxx

privacy